Subject: Re: linux-next: manual merge of the akpm-current tree with the folio tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 16 Feb 2022 17:21:09 +1100

Hi Matthew,

On Tue, 15 Feb 2022 13:12:05 +0000 Matthew Wilcox <[email-masked]> wrote:
>
> On Tue, Feb 15, 2022 at 06:00:43PM +1100, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Today's linux-next merge of the block tree got conflicts in:
> > 
> >   include/linux/mm.h
> >   include/linux/rmap.h
> >   mm/gup.c
> >   mm/huge_memory.c
> >   mm/internal.h
> >   mm/memory-failure.c
> >   mm/migrate.c
> >   mm/mlock.c
> >   mm/rmap.c
> >   mm/vmscan.c
> > 
> > There is no way I can figure out in a reasonable time (or at all
> > probably) the resolution needed here.  You guys need to get together
> > and figure out how the folio tree changes are going to progress to
> > Linus' tree.
> > 
> > I have gone back and used the folio tree from next-20220204 again for
> > today.  
> 
> Thanks!
> 
> My plan is to take v2 of Hugh's mlock rewrite into my tree today and
> redo the folio changes on top of those.  That should reduce the amount
> of conflict between akpm's tree and the folio tree to the usual
> managable amount.  Let's see how that goes.
> 

It looks like Andrew now has a new version of Hugh's patches and there
are quite a few other conflicts as well (see my attempt at mm/gup.c).

I have used the folio tree from next-20220204 again for today, sorry.
-- 
Cheers,
Stephen Rothwell